Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 25 Nov 2014, 17:15
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
PSI: Puppy Software Installer 07
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 3 of 10 Posts_count   Goto page: Previous 1, 2, 3, 4, 5, ..., 8, 9, 10 Next
Author Message
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Tue 19 Sep 2006, 14:58    Post_subject:  

Nathan, sounds great, I'm very curious Smile
----------------
Jam, these libs are in Libraries/Gtk-2.8.20/Goffice-0.21-Gsf-1.14.1-Gnomeprint-1.12.1.pup

The dependency-check currently only resolves, what libraries miss, but not, which package includes them.
For that, I would need a "database" (which will be a simple textfile).

I made an extra-topic for this matter:
http://www.murga.org/~puppy/viewtopic.php?t=11150

This is somewhat complicated to build into a final grafical interface, it will take some days until I can present a first testversion.

Thanks Jam, Mark
Back to top
View user's profile Send_private_message Visit_website 
jam


Joined: 14 Jul 2006
Posts: 245

PostPosted: Tue 19 Sep 2006, 15:25    Post_subject: Database  

Mark,

Thanks for the info! It will take some time for you to build that "database", but the time spent will be well worth it.

_________________
Jam
Back to top
View user's profile Send_private_message 
ARAN

Joined: 21 Oct 2005
Posts: 113

PostPosted: Wed 20 Sep 2006, 06:53    Post_subject:  

Hallo Mark !

The Puppy Software Installer Beta 04 Install without any problems with only one Click in Puppy Linux 1.8r1.
You have done really a good Job.
I have just installed Opera 9.01 with the Puppy Software Installer and the hole process has needed only one click and about 30 Seconds to download the Package and to Install it. Compliments for your hard work. Installation of DotPup packages works great at the moment.

The only thing what dont want to work at the Moment is the Installation of Debian and Ubuntu Packages.
It looks like the Puppy Software Installer dont have any routines included at the moment in the Sourcecode to handle debian or ubuntu packages.

I have yesterday downloaded the "GNU privacy guard 1.9.15" Debian Package
http://packages.debian.org/stable/utils/gnupg2
and tryed to install it with the PSI.
For some reason the package fail to be installed by using the PSI.

The other debian Package called "ONEKO" can also not be installed by using PSI on my PuppyLinux 1.08r1.
Back to top
View user's profile Send_private_message 
Nevermore

Joined: 26 Nov 2005
Posts: 365
Location: Italy

PostPosted: Wed 20 Sep 2006, 07:29    Post_subject:  

i was wondering this:
if i have a tipe 1 install on hdd, and i install psi on puppy 2.10..
when psi will be embedded in puppy 2.11 what will happen?
i will be needed to uninstall psi from pup001 or what?
i don't think a duplicate copy is a good idea since the space is precious Very Happy

_________________
--
/sbin/Nevermore
Back to top
View user's profile Send_private_message 
Bm


Joined: 16 Apr 2006
Posts: 513
Location: Brussels

PostPosted: Wed 20 Sep 2006, 14:27    Post_subject:  

The Puppy Software Installer surely looks nice, but doesn't work in my setup.
In order not to use the pup_save file (it's already 1.3GB) I made symlinks in /root for my-dotget and dotpups-downloads to point to a directory on a removable USB device.
This works for the dotpup and dotget installers, but not for the PSI.
Is there a way to make PSI work with this setup?

_________________
Puppy Linux 2.02 SMkey, KDE354mini, wine0.9.20, devx-qt-renamed.
Puppy Linux 2.10r1 SMkey, JWM, devx_qt_renamed_210, KDE355mini
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Wed 20 Sep 2006, 15:03    Post_subject:  

Beem, I can use such a setup, /mnt/sda6 is a USB-harddisk on my computer.
I currently have no idea, why it won't work for you Rolling Eyes
-----------------------

Nevermore the PSI is very small, but you can uninstall it first, of course.

----------------------
ARAN, PSI should instll the new Debianinstaller.
Did it do it for you?
Do you have the folder
/usr/local/PB-Debian-installer ?
Mark
Back to top
View user's profile Send_private_message Visit_website 
debernardis


Joined: 12 Nov 2005
Posts: 180

PostPosted: Wed 20 Sep 2006, 15:36    Post_subject:  

For some strange reason, when I try to open a category, the "Packages" window flashes and immediately disappears. I don't know if this is due to some pecularity of my setup; I only know that PSI worked at an earlier stage (beta 1), and now it doesn't Crying or Very sad
Back to top
View user's profile Send_private_message Visit_website 
Bm


Joined: 16 Apr 2006
Posts: 513
Location: Brussels

PostPosted: Wed 20 Sep 2006, 15:42    Post_subject:  

I started from a rxvt and these are the messages.
First time is without download, second with download.
Code:
sh-3.00# Puppy-Software-Installer

Gdk-WARNING **: locale not supported by C library
stat: cannot stat `dotpups.txt': No such file or directory
./updatepackagelist: line 45: [: =: unary operator expected
cp: cannot stat `dotpups.txt': No such file or directory

(Puppy-Software-Installer-list:22048): Gtk-WARNING **: Locale not supported by C library.
        Using the fallback 'C' locale.
sh-3.00# Puppy-Software-Installer

Gdk-WARNING **: locale not supported by C library
mv: cannot stat `dotpups.txt': No such file or directory
ls: *dotpups.txt.*: No such file or directory
stat: cannot stat `dotpups.txt': No such file or directory
./updatepackagelist: line 45: [: =: unary operator expected
cp: cannot stat `dotpups.txt': No such file or directory

(Puppy-Software-Installer-list:22150): Gtk-WARNING **: Locale not supported by C library.
        Using the fallback 'C' locale.
sh-3.00#

Maybe that gives a hint.

_________________
Puppy Linux 2.02 SMkey, KDE354mini, wine0.9.20, devx-qt-renamed.
Puppy Linux 2.10r1 SMkey, JWM, devx_qt_renamed_210, KDE355mini
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Wed 20 Sep 2006, 15:45    Post_subject:  

debernardis,
please try this:
delete the complete folder
/usr/local/Puppy-Software-Installer

Then install it again.
If you still encounter problems, install this file in Pupget as alien package:
http://noforum.de/files/wxbasic/PuppyBasic-2.5/PuppyBasic-2.5.tar.gz

If you still encounter problems, install this dotpup again:
http://dotpups.de/dotpups/System_Utilities/MU-Toolbox/Gtklist04MU.pup

Please tell me, which of these steps fixed your problem (if it fixes it).
Mark
Back to top
View user's profile Send_private_message Visit_website 
debernardis


Joined: 12 Nov 2005
Posts: 180

PostPosted: Wed 20 Sep 2006, 15:48    Post_subject:  

Deleting that directory and reinstalling did the trick... thanks Smile
Back to top
View user's profile Send_private_message Visit_website 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Wed 20 Sep 2006, 15:52    Post_subject:  

Beem, does it work, if you rename your symlink, and then try again?
then a new folder /root/dotpups-downloads should be created.

debernardis, thanks.
I replaced some files with symbolic links to reduce the space, maybe that confused the dotpup.

Mark
Back to top
View user's profile Send_private_message Visit_website 
Bm


Joined: 16 Apr 2006
Posts: 513
Location: Brussels

PostPosted: Wed 20 Sep 2006, 16:20    Post_subject:  

Yes that works.
It's working nice, the uninstalled packages being brown, the ones installed yellow.
But the drawback is, that the downloaded package is no in dotpups-downloads, thus taking space from the pup_save file and that's why I created the symlink.
So I am happy to see you use a usb hard drive for this. This is a direction I wanted to take as well having a desktop and a laptop. A usb hard disk would serve for files to be accessed from Linux as well from XP and from the laptop as well from the desktop.

My usb device is that Zen Micro removable drive, which isn't a hard drive but a kind of flash device I think.

_________________
Puppy Linux 2.02 SMkey, KDE354mini, wine0.9.20, devx-qt-renamed.
Puppy Linux 2.10r1 SMkey, JWM, devx_qt_renamed_210, KDE355mini
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Wed 20 Sep 2006, 16:27    Post_subject:  

Beem, I have no idea... tried the same now with a fat32 partition, just to be shure it has nothing to do with the filesystem, but this works, too.

Mark
Back to top
View user's profile Send_private_message Visit_website 
Bm


Joined: 16 Apr 2006
Posts: 513
Location: Brussels

PostPosted: Wed 20 Sep 2006, 16:34    Post_subject:  

My dotpups-downloads symlink in /root points to /mnt/sda/puppy/my-dotget.
Could that be a problem?

_________________
Puppy Linux 2.02 SMkey, KDE354mini, wine0.9.20, devx-qt-renamed.
Puppy Linux 2.10r1 SMkey, JWM, devx_qt_renamed_210, KDE355mini
Back to top
View user's profile Send_private_message 
MU


Joined: 24 Aug 2005
Posts: 13644
Location: Karlsruhe, Germany

PostPosted: Wed 20 Sep 2006, 16:47    Post_subject:  

> /mnt/sda/puppy/my-dotget

jep, that's wrong.
It must be sda1 or another number.

Delete the symlink in /root.
Mount your drive.

Type such a command:

ln -s /mnt/sda1/puppy/my-dotget /root/dotpups-downloads

Replace the "1" with the number, that is shown in MUT.
Mark
Back to top
View user's profile Send_private_message Visit_website 
Display_posts:   Sort by:   
Page 3 of 10 Posts_count   Goto page: Previous 1, 2, 3, 4, 5, ..., 8, 9, 10 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0813s ][ Queries: 12 (0.0063s) ][ GZIP on ]